List Available Countries
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/countries \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/countries';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/countries")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/countries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 4,
"code": "AUS",
"name": "Australia",
"currency_code": "AUD",
"phone": {
"code": "+61",
"max_length": 9,
"min_length": 9
},
"available_methods": [
"BANK"
],
"flag": "https://flagcdn.com/au.svg"
}
]
}{
"message": "Authentication failed"
}Create Beneficiary
List Available Countries
Retrieve a list of countries supported for beneficiary creation with available payment methods and phone validation rules
GET
/
v1
/
beneficiaries
/
countries
List Available Countries
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/countries \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/countries';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/countries")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/countries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/countries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 4,
"code": "AUS",
"name": "Australia",
"currency_code": "AUD",
"phone": {
"code": "+61",
"max_length": 9,
"min_length": 9
},
"available_methods": [
"BANK"
],
"flag": "https://flagcdn.com/au.svg"
}
]
}{
"message": "Authentication failed"
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Response
Countries list retrieved successfully
Show child attributes
Show child attributes
⌘I
